﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework.Graphics;

namespace PlanetaryDomination
{
    [Serializable()]
    public class Player
    {
        public Color Playercolor;
        public String Playername;
        public UnitManager Units;
        public int RoundMins, RoundEnergy, RoundLifeSupport, RoundTechPoints, AttackSector, CollectSector, UnitCount, SectorCount;

        public int TotMinerals, TotOrganics, TotEnergy, TotResearch;

        public Player(String name, Color color)
        {
            Units = new UnitManager();
            Playercolor = color;
            Playername = name;
            Clear();
        }
        public void AddTurnGain()
        {// fügt die resourcen für eine runde hinzu
            TotMinerals += RoundMins;    // für die resourcen wird der basiswert des sectors mal den level der harvestingeinrichtung pro runde dazugewonnen
            TotOrganics += RoundLifeSupport;
            TotEnergy += RoundEnergy;
            TotResearch += RoundTechPoints;   // jede stufe der forschungsanstalt erzeugt einen techpunkt pro runde
        }
        public void Clear()
        {// setzt den spieler zurück (für neues spiel)
            TotMinerals = TotOrganics = TotEnergy = 50;
            AttackSector = CollectSector = UnitCount = SectorCount = TotResearch = 0;
        }
    }
}
