﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;

namespace PlanetaryDomination
{
    public class CreditsView : BaseView
    {
        public String GameOverText; // enthält ob man gewonnen oder verloren hat

        public CreditsView(GraphicsManager graphicsman, InputManager inputman, SoundManager soundman, ViewManager viewman, GameData gamedat)
            : base(graphicsman, inputman, soundman, viewman, gamedat)
        {// konstruktor
            Controls.Add(new Button(1060, 910, 180, 30, "Back", Color.Azure, 4, Graphics, Input, Sound));   // #0
            ((Button)(Controls[0])).ButtFunc = Backfunc;
            GameOverText = "";
        }
        override public void Draw()
        {// rendert alles
            tempvect.X = 540.0f;// hier selber die gui malen
            tempvect.Y = 50.0f;
            Graphics.DrawText(GameOverText, tempvect, Color.Red, 7);
            tempvect.X = 560.0f;
            tempvect.Y = 100.0f;
            Graphics.DrawText("Credits", tempvect, Color.White, 5);
            tempvect.X = 50.0f;
            tempvect.Y = 150.0f;
            Graphics.DrawText("Game: Planetary Domination created for ZFX Action Contest #3 (www.zfx.info) by Henry Kindt (Despotist)", tempvect, Color.White, 4);
            tempvect.X = 50.0f;
            tempvect.Y = 190.0f;
            Graphics.DrawText("Licence: The MIT License (http://www.opensource.org/licenses/mit-license.php)", tempvect, Color.White, 4);
            tempvect.X = 50.0f;
            tempvect.Y = 230.0f;
            Graphics.DrawText("Used Software and Resources:", tempvect, Color.White, 4);
            tempvect.X = 50.0f;
            tempvect.Y = 270.0f;
            Graphics.DrawText("   Microsoft Visual C# 2008 Express with XNA Game Studio 3.1", tempvect, Color.White, 4);
            tempvect.X = 50.0f;
            tempvect.Y = 310.0f;
            Graphics.DrawText("   Gimp 2.6.2", tempvect, Color.White, 4);
            tempvect.X = 50.0f;
            tempvect.Y = 350.0f;
            Graphics.DrawText("   Crystal Font by Jerry Fitzpatrick (http://www.urbanfonts.com/fonts/Crystal.htm)", tempvect, Color.White, 4);
            tempvect.X = 50.0f;
            tempvect.Y = 390.0f;
            Graphics.DrawText("   RoundLines by Michael D. Anderson (http://roundline.codeplex.com/)", tempvect, Color.White, 4);
            tempvect.X = 50.0f;
            tempvect.Y = 430.0f;
            Graphics.DrawText("   Sounds are from http://www.freesound.org in Detail:", tempvect, Color.White, 4);
            tempvect.X = 50.0f;
            tempvect.Y = 470.0f;
            Graphics.DrawText("      click 1 off click.wav by TicTacShutUp (http://www.freesound.org/samplesViewSingle.php?id=407)", tempvect, Color.White, 4);
            tempvect.X = 50.0f;
            tempvect.Y = 510.0f;
            Graphics.DrawText("      hit-wood07.wav by horsthorstensen (http://www.freesound.org/samplesViewSingle.php?id=85588)", tempvect, Color.White, 4);
            tempvect.X = 50.0f;
            tempvect.Y = 550.0f;
            Graphics.DrawText("      Tick 02.wav by A43 (http://www.freesound.org/samplesViewSingle.php?id=9445)", tempvect, Color.White, 4);
            tempvect.X = 50.0f;
            tempvect.Y = 590.0f;
            Graphics.DrawText("      Switch 07.wav by LG (http://www.freesound.org/samplesViewSingle.php?id=71682)", tempvect, Color.White, 4);
            tempvect.X = 50.0f;
            tempvect.Y = 630.0f;
            Graphics.DrawText("      click06.wav by fonogeno (http://www.freesound.org/samplesViewSingle.php?id=17776)", tempvect, Color.White, 4);
            tempvect.X = 50.0f;
            tempvect.Y = 670.0f;
            Graphics.DrawText("      button_001.wav by futureprobe (http://www.freesound.org/samplesViewSingle.php?id=18816)", tempvect, Color.White, 4);
            tempvect.X = 50.0f;
            tempvect.Y = 710.0f;
            Graphics.DrawText("      80993__burner01__warn3.wav by burner01 (http://www.freesound.org/samplesViewSingle.php?id=80993)", tempvect, Color.White, 4);
            tempvect.X = 50.0f;
            tempvect.Y = 770.0f;
            Graphics.DrawText("I hope you enjoyed playing and had some fun. If you want to contact me: despotist@web.de", tempvect, Color.White, 4);
            for (int i = 0; i < Controls.Count; i++)
            {
                Controls[i].Draw();
            }
        }
        override public void Update()
        {// aktualisiert zustände und berechnet zb physik + effekte
            for (int i = 0; i < Controls.Count; i++)
            {
                Controls[i].Update();
            }
        }
        private void Backfunc()
        {//ausführen für button back
            Views.SwitchView(0);
        }
    }
}
